extends Control

@onready var vps := {
  main_viewport = get_tree().root,
  unattached_viewport = $UnattachedSubViewport,
  contained_viewport = $SubViewportContainer/ContainedSubViewport,
  window_viewport = $Window,
  isolated_viewport = Window.new(),
}

func _input(ev):
  if (ev is InputEventKey or ev is InputEventMouseButton) and ev.pressed:
    call_deferred("print_newline")

func print_newline():
  print("")

func _ready():
  for vp_name in vps:
    var vp := vps[vp_name] as Viewport
    var is_embedding_subwindows = vp.is_embedding_subwindows()
    prints(vp_name, is_embedding_subwindows, vp.get_instance_id())

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
  pass
